%define rname	fireftp
%define cid 	\{a7c6cf7f-112c-4500-a7ea-39801a327e5f\}
%define ciddir  %firefox_noarch_extensionsdir/%cid

Summary:	Plugin fireftp for Firefox
Name:		%firefox_name-%rname
Version:	0.96.4
Release:	alt1
Source0:	%rname-%version.xpi
License:	GPL
Group:		Networking/WWW	
URL:		http://fireftp.mozdev.org/

BuildArch:      noarch
BuildRequires(pre):     rpm-build-firefox
BuildRequires:  unzip
Requires: %firefox_name >= 2.0

Packager:       Alexey Shabalin <shaba@altlinux.ru>

%description 	
FTP client for Mozilla Firefox.

%prep
%setup -c

#XXXlegion: Firefox version hack
#subst 's|<em:maxVersion>1.5</em:maxVersion>|<em:maxVersion>1.5.0.7</em:maxVersion>|' install.rdf

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir

%postun
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Mon Apr 30 2007 Alexey Shabalin <shaba@altlinux.ru> 0.96.4-alt1
- 0.96.4

* Mon Nov 27 2006 Alexey Shabalin <shaba@altlinux.ru> 0.94.6-alt1
- 0.94.6
- set noarch
- remove obsoleted macros

* Mon Sep 25 2006 Alexey Shabalin <shaba@altlinux.ru> 0.94.3-alt1
- update 0.94.3
- rebuild with firefox 1.5.0.7

* Thu Aug 24 2006 Alexey Shabalin <shaba@altlinux.ru> 0.94.2-alt1
- update 0.94.2

* Thu Jun 15 2006 Alexey Gladkov <legion@altlinux.ru> 0.90.1-alt2.1.1
- NMU: rebuild with firefox 1.5.0.4

* Mon May 15 2006 Alexey Gladkov <legion@altlinux.ru> 0.90.1-alt2.1
- NMU: rebuild with firefox 1.5.0.3

* Mon Feb 20 2006 Alexey Gladkov <legion@altlinux.ru> 0.90.1-alt2
- NMU: rebuild with firefox 1.5.0.1

* Tue Dec 20 2005 Alexey Gladkov <legion@altlinux.ru> 0.90.1-alt1
- NMU
- new version
- rebuild with firefox-1.5
- spec changes:
  * BuildRequires fix;
  * ghost file added;
  * new macros was used to fix multiarch problem.

* Thu Nov 10 2005 Konstantin A Lepikhov (L.A. Kostis) <lakostis@altlinux.ru> 0.87-alt2.1
- rebuild with new firefox.

* Thu Oct 13 2005 Konstantin A Lepikhov (L.A. Kostis) <lakostis@altlinux.ru> 0.87-alt2
- rebuild with new firefox.

* Fri Aug 26 2005 Alexey Gladkov <legion@altlinux.ru> 0.87-alt1.3
- bugfix rebuild.

* Tue Aug 16 2005 Alexey Gladkov <legion@altlinux.ru> 0.87-alt1.2
- bugfix rebuild.

* Mon Aug 15 2005 Alexey Gladkov <legion@altlinux.ru> 0.87-alt1.1
- Rebuild with new firefox.

* Tue Jun 28 2005 Alexey Shabalin <shaba@altlinux.ru> 0.87-alt1
- first build for ALT Linux.
